CVE-2020-15801

NameCVE-2020-15801
DescriptionIn Python 3.8.4, sys.path restrictions specified in a python38._pth file are ignored, allowing code to be loaded from arbitrary locations. The <executable-name>._pth file (e.g., the python._pth file) is not affected.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python2.7 (PTS)stretch2.7.13-2+deb9u3fixed
stretch (security)2.7.13-2+deb9u4fixed
buster2.7.16-2+deb10u1fixed
bullseye2.7.18-1fixed
sid2.7.18-5fixed
python3.5 (PTS)stretch3.5.3-1+deb9u1fixed
stretch (security)3.5.3-1+deb9u3fixed
python3.7 (PTS)buster3.7.3-2+deb10u2fixed
python3.9 (PTS)bullseye3.9.1-4fixed
sid3.9.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python2.7source(unstable)(not affected)
python3.5source(unstable)(not affected)
python3.7source(unstable)(not affected)
python3.8source(unstable)(not affected)
python3.9source(unstable)(not affected)

Notes

- python3.9 <not-affected> (Windows-specific)
- python3.8 <not-affected> (Windows-specific)
- python3.7 <not-affected> (Windows-specific)
- python3.5 <not-affected> (Windows-specific)
- python2.7 <not-affected> (Windows-specific)

Search for package or bug name: Reporting problems